<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.tuoheng.mapper.TenantItemMapper">

    <resultMap id="BaseResultMap" type="com.tuoheng.model.entity.TenantItem">
            <id property="id" column="id" jdbcType="BIGINT"/>
            <result property="createTime" column="create_time" jdbcType="TIMESTAMP"/>
            <result property="updateTime" column="update_time" jdbcType="TIMESTAMP"/>
            <result property="createUser" column="create_user" jdbcType="BIGINT"/>
            <result property="updateUser" column="update_user" jdbcType="BIGINT"/>
            <result property="markerId" column="marker_id" jdbcType="BIGINT"/>
            <result property="areaId" column="area_id" jdbcType="BIGINT"/>
            <result property="tenantId" column="tenant_id" jdbcType="BIGINT"/>
            <result property="projectCode" column="project_code" jdbcType="VARCHAR"/>
            <result property="contractCode" column="contract_code" jdbcType="VARCHAR"/>
            <result property="beginTime" column="begin_time" jdbcType="TIMESTAMP"/>
            <result property="endTime" column="end_time" jdbcType="TIMESTAMP"/>
    </resultMap>

    <sql id="Base_Column_List">
        id,create_time,update_time,
        create_user,update_user,marker_id,
        tenant_id,project_code,contract_code,
        begin_time,end_time,area_id
    </sql>
</mapper>
